Bug 1096479 - Review Request: min-cloud-agent - Minimal client implementation of EC2/OpenStack metadata API
Summary: Review Request: min-cloud-agent - Minimal client implementation of EC2/OpenSt...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-10 22:49 UTC by Colin Walters
Modified: 2014-09-05 15:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-05 15:47:05 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Colin Walters 2014-05-10 22:49:23 UTC
NOTE!  This is renamed from https://bugzilla.redhat.com/show_bug.cgi?id=1066176

Spec URL: http://fedorapeople.org/~walters/min-cloud-agent.spec
SRPM URL: http://fedorapeople.org/~walters/min-cloud-agent-2014.3.12.ge0b8fae-1.el7.src.rpm
Description:  Minimal client implementation of EC2/OpenStack metadata API
Fedora Account System Username: walters

Comment 1 Haïkel Guémar 2014-05-11 08:36:25 UTC
Easy peasy, since this renamed package complies with Fedora packaging guidelines, I hereby approve the renaming.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/haikel/1096479-min-cloud-
     agent/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: min-cloud-agent-2014.3.12.ge0b8fae-1.fc20.x86_64.rpm
          min-cloud-agent-2014.3.12.ge0b8fae-1.fc20.src.rpm
min-cloud-agent.x86_64: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsal
min-cloud-agent.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
min-cloud-agent.x86_64: W: spelling-error %description -l en_US userdata -> user data, user-data, database
min-cloud-agent.x86_64: W: incoherent-version-in-changelog 2014.3.12.ge0b8fae ['2014.3.12.ge0b8fae-1.fc20', '2014.3.12.ge0b8fae-1']
min-cloud-agent.x86_64: W: obsolete-not-provided min-metadata-service
min-cloud-agent.x86_64: W: only-non-binary-in-usr-lib
min-cloud-agent.src: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsal
min-cloud-agent.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
min-cloud-agent.src: W: spelling-error %description -l en_US userdata -> user data, user-data, database
min-cloud-agent.src:49: E: hardcoded-library-path in %{_prefix}/lib/systemd/system/min-cloud-agent.service
min-cloud-agent.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 8)
min-cloud-agent.src: W: invalid-url Source0: min-cloud-agent-2014.3.12.ge0b8fae.tar.xz
2 packages and 0 specfiles checked; 1 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint min-cloud-agent
min-cloud-agent.x86_64: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsal
min-cloud-agent.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
min-cloud-agent.x86_64: W: spelling-error %description -l en_US userdata -> user data, user-data, database
min-cloud-agent.x86_64: W: incoherent-version-in-changelog 2014.3.12.ge0b8fae ['2014.3.12.ge0b8fae-1.fc20', '2014.3.12.ge0b8fae-1']
min-cloud-agent.x86_64: W: obsolete-not-provided min-metadata-service
min-cloud-agent.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
min-cloud-agent (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgsystem.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    rtld(GNU_HASH)
    systemd
    systemd-units



Provides
--------
min-cloud-agent:
    min-cloud-agent
    min-cloud-agent(x86-64)

Comment 2 Colin Walters 2014-05-11 12:44:52 UTC
New Package SCM Request
=======================
Package Name: min-cloud-agent
Short Description: Minimal client implementation of EC2/OpenStack metadata API
Owners: walters
Branches: f20
InitialCC:

Comment 3 Gwyn Ciesla 2014-05-12 11:53:23 UTC
Git done (by process-git-requests).

Comment 4 Haïkel Guémar 2014-09-05 15:47:05 UTC
Built and imported in F21+


Note You need to log in before you can comment on or make changes to this bug.